curl -X GET \
'https://api.appcharge.com/components/v1/product/gold_coins_100' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"id": "507f1f77bcf86cd799439015",
"name": "Gold Coins Pack",
"displayName": "Gold Coins",
"publisherProductId": "gold_coins_100",
"type": "Quantity",
"description": "A pack of 100 gold coins.",
"prefix": "Get",
"suffix": "coins",
"textFontColorHex": "#f5c518",
"productImageId": "507f1f77bcf86cd799439011",
"productImageUrl": "https://media.appcharge.com/media/69133d595af23405d8e843a5",
"productPrefixImageUrl": "https://media.appcharge.com/product-prefix1.png"
}
Get Product
Retrieves the details of a specific product.
curl -X GET \
'https://api.appcharge.com/components/v1/product/gold_coins_100' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"id": "507f1f77bcf86cd799439015",
"name": "Gold Coins Pack",
"displayName": "Gold Coins",
"publisherProductId": "gold_coins_100",
"type": "Quantity",
"description": "A pack of 100 gold coins.",
"prefix": "Get",
"suffix": "coins",
"textFontColorHex": "#f5c518",
"productImageId": "507f1f77bcf86cd799439011",
"productImageUrl": "https://media.appcharge.com/media/69133d595af23405d8e843a5",
"productPrefixImageUrl": "https://media.appcharge.com/product-prefix1.png"
}
curl -X GET \
'https://api.appcharge.com/components/v1/product/gold_coins_100' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"id": "507f1f77bcf86cd799439015",
"name": "Gold Coins Pack",
"displayName": "Gold Coins",
"publisherProductId": "gold_coins_100",
"type": "Quantity",
"description": "A pack of 100 gold coins.",
"prefix": "Get",
"suffix": "coins",
"textFontColorHex": "#f5c518",
"productImageId": "507f1f77bcf86cd799439011",
"productImageUrl": "https://media.appcharge.com/media/69133d595af23405d8e843a5",
"productPrefixImageUrl": "https://media.appcharge.com/product-prefix1.png"
}
Authorizations
Publisher token, as displayed in the Publisher Dashboard.
Path Parameters
External ID that you defined.
"gold_coins_pack"
Response
Product details retrieved successfully.
Product ID.
"507f1f77bcf86cd799439015"
Product name.
"Gold Coins Pack"
Product display name.
"Gold Coins"
Product ID that you defined.
"gold_coins_100"
Product unit type.
Quantity, Time "Quantity"
Product description.
"A pack of 100 gold coins."
Product prefix text.
"Get"
Product suffix text.
"coins"
Product text font color in hex format.
^#[0-9a-fA-F]{6}$"#f5c518"
Asset ID of the product image. Save this value to reuse the same asset in future create or update requests.
"507f1f77bcf86cd799439011"
Product image URL. For uploaded files, this is the Appcharge-hosted CDN URL. For external image URLs, this is the original image URL served from the provided URL.
"https://media.appcharge.com/media/69133d595af23405d8e843a5"
Product prefix image URL. For uploaded files, this is the Appcharge-hosted CDN URL. For external image URLs, this is the original image URL served from the provided URL.
"https://media.appcharge.com/media/69133d595af23405d8e843a5"
Original product image URL when the product uses an external image URL. This URL is used as provided to serve the image.
"https://images.pexels.com/photos/35406321/pexels-photo-35406321.jpeg"
Was this page helpful?
